Skip to content

(Legacy) Update Specific Campaign Dynamic Budget Allocation

Request

Legacy Endpoint - To be removed

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
campaign_idintegerrequired

Numeric ID of the campaign

Query
fullstring

To return all fields, set the value to *. For example, full=* will include all properties.

Example:full=*
Bodyapplication/json
dynamic_budget_allocation_appliedstring or null, (date-time)
dynamic_budget_allocation_availablestring or null, (date-time)
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/campaigns/{campaign_id}/dynamic_budget_allocation?full=*' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "dynamic_budget_allocation_applied": "2019-08-24T14:15:22Z",
    "dynamic_budget_allocation_available": "2019-08-24T14:15:22Z"
  }'

Responses

DBA updated response

Bodyapplication/json
Any of:
dataobject
metaobject(pagination metadata)
Response
{ "data": { "id": 0, "entity_type": "string", "name": "string" }, "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }